/** When your routing table is too long, you can split it into small modules**/

import Layout from "@/layout";

const orderRouter = {
  path: "/orderManage-sup",
  component: Layout,
  name: "orderManage-sup1",
  meta: { title: "订单管理", icon: "" },
  alwaysShow: true,
  hidden: true,
  children: [
    {
      // 采购订单-待确认详情
      path: "acceptDetail",
      component: () =>
        import("@/views/page/orderManage-sup/purOrderAccept/acceptDetail.vue"),
      name: "acceptDetail",
      meta: { title: "采购订单受理-待确认详情", icon: "" },
      hidden: true
    },
    {
      // 采购订单-已确认详情
      path: "confirmDetail",
      component: () =>
        import("@/views/page/orderManage-sup/purOrderConfirmed/confirmDetail.vue"),
      name: "confirmDetail",
      meta: { title: "采购订单-已确认详情", icon: "" },
      hidden: true
    },
    {
      // 采购订单-待出库详情
      path: "deliveryDetail",
      component: () =>
        import("@/views/page/orderManage-sup/purOrderDelivery/deliveryDetail.vue"),
      name: "deliveryDetail",
      meta: { title: "采购订单-待出库详情", icon: "" },
      hidden: true
    },
    {
      // 采购订单-出库成功页面
      path: "devsuccs",
      component: () =>
        import("@/views/page/orderManage-sup/purOrderDelivery/devsuccs.vue"),
      name: "devsuccs",
      meta: { title: "采购订单-出库单", icon: "" },
      hidden: true
    },
    {
      // 采购订单-已出库详情
      path: "alreadyDetail",
      component: () =>
        import("@/views/page/orderManage-sup/alreadyDelivery/alreadyDetail.vue"),
      name: "alreadyDetail",
      meta: { title: "采购订单-已出库详情", icon: "" },
      hidden: true
    },
    {
      // 骨科订单-待确认详情
      path: "orthacceptDetail",
      component: () =>
        import("@/views/page/orderManage-sup/orthOpedicAccept/acceptDetail.vue"),
      name: "acceptDetail",
      meta: { title: "骨科订单受理-待确认详情", icon: "" },
      hidden: true
    }
  ]
};

export default orderRouter;
